package com.objis.spring.demoinjection.test;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

import com.objis.spring.demoinjection.Performeur;

public class DemoApp {

	private static final Logger logger = Logger.getLogger(DemoApp.class);

	public static void main(String[] args) {
		
		// 1. Chargement du conteneur
		BeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource("spectacle.xml"));

		// 2. Recupration d'un bean
		Performeur musicien = (Performeur) beanFactory.getBean("olivier");

		// 3. Manipulation du bean
		musicien.performe();

	}
}
